GPSInfoIFD (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.tiff
Class GPSInfoIFD

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.tiff.IFD
          edu.harvard.hul.ois.jhove.module.tiff.GPSInfoIFD

    public class GPSInfoIFD

extends IFD

Encapsulation of a GPSInfo IFD (for TIFF/EP and Exif).

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.tiff.IFD
`_bigEndian, _info, _next, _offset, _version, ASCII, BYTE, DOUBLE, EXIF, FLOAT, GLOBALPARAMETERS, GPSINFO, IFD, INTEROPERABILITY, LONG, NULL, RATIONAL, SBYTE, SHORT, SLONG, SRATIONAL, SSHORT, TIFF, TYPE, UNDEFINED`

Constructor Summary
`GPSInfoIFD(long offset, RepInfo info, java.io.RandomAccessFile raf, boolean bigEndian)` Instantiate an `GPSInfoIFD` object.

Method Summary
`Rational` | `getGPSAltitude()` Get the GPSAltitude (6).
`int` | `getGPSAltitudeRef()` Get the GPSAltitudeRef (5).
`java.lang.String` | `getGPSDateStamp()` Get the GPSDateStamp (29).
`Rational` | `getGPSDestBearing()` Get the GPSDestBearing (24).
`java.lang.String` | `getGPSDestBearingRef()` Get the GPSDestBearingRef (23).
`Rational` | `getGPSDestDistance()` Get the GPSDestDistance (26).
`java.lang.String` | `getGPSDestDistanceRef()` Get the GPSDestDistanceRef (25).
`Rational[]` | `getGPSDestLatitude()` Get the GPSDestLatitude (20).
`java.lang.String` | `getGPSDestLatitudeRef()` Get the GPSDestLatitudeRef (19).
`Rational[]` | `getGPSDestLongitude()` Get the GPSDestLongitude (22).
`java.lang.String` | `getGPSDestLongitudeRef()` Get the GPSDestLongitudeRef (21).
`int` | `getGPSDifferential()` Get the GPSDifferential (30).
`Rational` | `getGPSDOP()` Get the GPSDOP (11).
`Rational` | `getGPSImgDirection()` Get the GPSImgDirection (17).
`java.lang.String` | `getGPSImgDirectionRef()` Get the GPSImgDirectionRef (16).
`Rational[]` | `getGPSLatitude()` Get the GPSLatitude (2).
`java.lang.String` | `getGPSLatitudeRef()` Get the GPSLatitudeRef (1).
`Rational[]` | `getGPSLongitude()` Get the GPSLongitude (4).
`java.lang.String` | `getGPSLongitudeRef()` Get the GPSLongitudeRef (3).
`java.lang.String` | `getGPSMapDatum()` Get the GPSMapDatum (18).
`java.lang.String` | `getGPSMeasureMode()` Get the GPSMeasureMode (10).
`int[]` | `getGPSProcessingMethod()` Get the GPSProcessingMethod (27).
`java.lang.String` | `getGPSSatellites()` Get the GPSSatellites (8).
`Rational` | `getGPSSpeed()` Get the GPSSpeed (13).
`java.lang.String` | `getGPSSpeedRef()` Get the GPSSpeedRef (12).
`java.lang.String` | `getGPStatus()` Get the GPSStatus (9).
`Rational` | `getGPSTrack()` Get the GPSTrack (15).
`java.lang.String` | `getGPSTrackRef()` Get the GPSTrackRef (14).
`int[]` | `getGPSVersionID()` Get the GPSVersionID (1).
`Rational[]` | `getGPTimeStamp()` Get the GPSTimeStamp (7).
`Property` | `getProperty(boolean rawOutput)` Get the IFD properties.
`void` | `lookupTag(int tag, int type, long count, long value)` Lookup an IFD tag.

Methods inherited from class edu.harvard.hul.ois.jhove.module.tiff.IFD
`addBitmaskProperty, addIntegerArrayProperty, addIntegerProperty, addIntegerProperty, addRationalArrayProperty, addRationalProperty, average, calcValueSize, checkCount, checkType, checkType, getErrors, getNext, getOffset, getVersion, isBigEndian, isFirst, isThumbnail, parse, parse, parse, postParseInitialization, propertyHeader, readASCII, readASCIIArray, readByte, readByteArray, readDoubleArray, readLong, readLongArray, readRational, readRationalArray, readShort, readShortArray, readSignedRational, readSignedRationalArray, readSShortArray, readTrueByteArray, readUnsigned, setFirst, setThumbnail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GPSInfoIFD

    public GPSInfoIFD(long offset,
                      RepInfo info,
                      java.io.RandomAccessFile raf,
                      boolean bigEndian)

  Instantiate an `GPSInfoIFD` object.

  Parameters:
    `offset` - IFD offset
    `info` - The RepInfo object
    `raf` - TIFF file
    `bigEndian` - True if big-endian file

Method Detail

### getGPSAltitude

    public Rational getGPSAltitude()

  Get the GPSAltitude (6).

### getGPSAltitudeRef

    public int getGPSAltitudeRef()

  Get the GPSAltitudeRef (5).

### getGPSDateStamp

    public java.lang.String getGPSDateStamp()

  Get the GPSDateStamp (29).

### getGPSDestBearing

    public Rational getGPSDestBearing()

  Get the GPSDestBearing (24).

### getGPSDestBearingRef

    public java.lang.String getGPSDestBearingRef()

  Get the GPSDestBearingRef (23).

### getGPSDestDistance

    public Rational getGPSDestDistance()

  Get the GPSDestDistance (26).

### getGPSDestDistanceRef

    public java.lang.String getGPSDestDistanceRef()

  Get the GPSDestDistanceRef (25).

### getGPSDestLatitude

    public Rational[] getGPSDestLatitude()

  Get the GPSDestLatitude (20).

### getGPSDestLatitudeRef

    public java.lang.String getGPSDestLatitudeRef()

  Get the GPSDestLatitudeRef (19).

### getGPSDestLongitude

    public Rational[] getGPSDestLongitude()

  Get the GPSDestLongitude (22).

### getGPSDestLongitudeRef

    public java.lang.String getGPSDestLongitudeRef()

  Get the GPSDestLongitudeRef (21).

### getGPSDifferential

    public int getGPSDifferential()

  Get the GPSDifferential (30).

### getGPSDOP

    public Rational getGPSDOP()

  Get the GPSDOP (11).

### getGPSImgDirection

    public Rational getGPSImgDirection()

  Get the GPSImgDirection (17).

### getGPSImgDirectionRef

    public java.lang.String getGPSImgDirectionRef()

  Get the GPSImgDirectionRef (16).

### getGPSLatitude

    public Rational[] getGPSLatitude()

  Get the GPSLatitude (2).

### getGPSLatitudeRef

    public java.lang.String getGPSLatitudeRef()

  Get the GPSLatitudeRef (1).

### getGPSLongitude

    public Rational[] getGPSLongitude()

  Get the GPSLongitude (4).

### getGPSLongitudeRef

    public java.lang.String getGPSLongitudeRef()

  Get the GPSLongitudeRef (3).

### getGPSMapDatum

    public java.lang.String getGPSMapDatum()

  Get the GPSMapDatum (18).

### getGPSMeasureMode

    public java.lang.String getGPSMeasureMode()

  Get the GPSMeasureMode (10).

### getGPSProcessingMethod

    public int[] getGPSProcessingMethod()

  Get the GPSProcessingMethod (27).

### getGPSSatellites

    public java.lang.String getGPSSatellites()

  Get the GPSSatellites (8).

### getGPSSpeed

    public Rational getGPSSpeed()

  Get the GPSSpeed (13).

### getGPSSpeedRef

    public java.lang.String getGPSSpeedRef()

  Get the GPSSpeedRef (12).

### getGPStatus

    public java.lang.String getGPStatus()

  Get the GPSStatus (9).

### getGPTimeStamp

    public Rational[] getGPTimeStamp()

  Get the GPSTimeStamp (7).

### getGPSTrack

    public Rational getGPSTrack()

  Get the GPSTrack (15).

### getGPSTrackRef

    public java.lang.String getGPSTrackRef()

  Get the GPSTrackRef (14).

### getGPSVersionID

    public int[] getGPSVersionID()

  Get the GPSVersionID (1).

### getProperty

    public Property getProperty(boolean rawOutput)

  Get the IFD properties.

  Specified by:
    `getProperty` in class `IFD`

### lookupTag

    public void lookupTag(int tag,
                          int type,
                          long count,
                          long value)
                   throws TiffException

  Lookup an IFD tag.

  Specified by:
    `lookupTag` in class `IFD`
  Throws:
    `TiffException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD